Skip to content
Start here

List Account Custom Nameservers

client.customNameservers.get(CustomNameserverGetParams { account_id } params, RequestOptionsoptions?): SinglePage<CustomNameserver { dns_records, ns_name, status, 2 more } >
GET/accounts/{account_id}/custom_ns

List an account's custom nameservers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings WriteAccount Settings Read
ParametersExpand Collapse
params: CustomNameserverGetParams { account_id }
account_id: string

Account identifier tag.

maxLength32
ReturnsExpand Collapse
CustomNameserver { dns_records, ns_name, status, 2 more }

A single account custom nameserver.

dns_records: Array<DNSRecord>

A and AAAA records associated with the nameserver.

type?: "A" | "AAAA"

DNS record type.

One of the following:
"A"
"AAAA"
value?: string

DNS record contents (an IPv4 or IPv6 address).

ns_name: string

The FQDN of the name server.

formathostname
Deprecatedstatus: "moved" | "pending" | "verified"

Verification status of the nameserver.

One of the following:
"moved"
"pending"
"verified"
zone_tag: string

Identifier.

maxLength32
ns_set?: number

The number of the set that this name server belongs to.

maximum5
minimum1

List Account Custom Nameservers

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const customNameserver of client.customNameservers.get({
  account_id: '372e67954025e0ba6aaa6d586b9e0b59',
})) {
  console.log(customNameserver.dns_records);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "dns_records": [
        {
          "type": "A",
          "value": "1.1.1.1"
        }
      ],
      "ns_name": "ns1.example.com",
      "status": "verified",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "ns_set": 1
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "dns_records": [
        {
          "type": "A",
          "value": "1.1.1.1"
        }
      ],
      "ns_name": "ns1.example.com",
      "status": "verified",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "ns_set": 1
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}